Bug 588354 - Fails to resume from disk, and fails to mount root if resume= line is present
Fails to resume from disk, and fails to mount root if resume= line is present
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: dracut (Show other bugs)
13
All Linux
low Severity high
: ---
: ---
Assigned To: Harald Hoyer
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-03 10:37 EDT by Matthew Garrett
Modified: 2013-01-10 02:49 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-12 05:20:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matthew Garrett 2010-05-03 10:37:41 EDT
Description of problem:

If a resume= parameter is added to the kernel command line, dracut does not trigger a resume from disk. Further, it then fails to mount the root filesystem.

Version-Release number of selected component (if applicable):

dracut-005-3.fc13

How reproducible:

Always

Steps to Reproduce:

Add an entry like resume=/dev/mapper/vg_hostname-lv_swap to the kernel commandline and attempt to resume or boot.
  
Actual results:

Machine fails to resume. Machine also fails to boot.

Expected results:

Machine resumes. If machine fails to resume, machine should attempt to boot.
Comment 1 Matthew Garrett 2010-05-03 10:50:09 EDT
Booting to rdshell shows that lv_root is active but all other lvs are inactive. Running lvm vgchange -ay vg_hostname results in the machine resuming.
Comment 2 Matthew Garrett 2010-05-03 10:50:28 EDT
lvchange, not vgchange.
Comment 3 Harald Hoyer 2010-05-12 05:20:24 EDT
(In reply to comment #0)
> Add an entry like resume=/dev/mapper/vg_hostname-lv_swap to the kernel
> commandline and attempt to resume or boot.

the you also have to add rd_LVM_LV=vg_hostname/lv_swap ... or remove all rd_LVM_* parameters

anaconda should add that to the kernel command line.

Note You need to log in before you can comment on or make changes to this bug.